| Home | Libraries | People | FAQ | More

##### basic_static_string::append (9 of 9 overloads)

Append to the string.

###### Synopsis

    template<
        typename T>
    constexpr basic_static_string&
    append(
        const T& t,
        size_type pos,
        size_type count = npos);

###### Description

Appends the substring `sv` to the end of the string, where `sv` is `string_view_type(t).substr(pos, count)`.

###### Exception Safety

Strong guarantee.

###### Template Parameters

Type | Description
--- | ---
`T` | The type of the object to convert.

###### Constraints

    std::is_convertible<T const&, string_view>::value &&
    !std::is_convertible<T const&, char const*>::value &&
    !std::is_convertible<const T&, const basic_static_string&>::value

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`t` | The object to append.
`pos` | The index at which to begin the substring.
`count` | The size of the substring. The default argument for this parameter is `npos`.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `size() + sv.size() > max_size()`